FTIME(3)

NAME
ftime - get date and time

LIBRARY
libcompat

SYNOPSIS
#include <sys/types.h>
#include <sys/timeb.h>
int
ftime(struct timeb *tp);

DESCRIPTION
This interface is obsoleted by gettimeofday(2). It is available from the compatibility library, libcompat.

Note: time zone information is no longer provided by this interface. See localtime(3) for information on how to retrieve it.

The ftime() routine fills in a structure pointed to by its argument, as defined by <sys/timeb.h>:

    struct timeb {
    	time_t  time;
    	unsigned short millitm;
    	short   timezone;
    	short   dstflag;
    };

The structure contains the time since the epoch in seconds, up to 1000 milliseconds of more-precise interval. The timezone and dstflag fields are provided for source compatibility, but are always zero.

SEE ALSO
gettimeofday(2), settimeofday(2), ctime(3), localtime(3), time(3).

HISTORY
The ftime() function appeared in 4.1BSD.